body {
  
}

a.custom_card,
a.custom_card:hover {
  color: inherit;
  text-decoration: none;
  filter: brightness(105%);
}

.red {
  background-color: red;
}

.light-red {
  background-color: rgb(255, 227, 227);
}

.green {
  background-color: green
}

.light-green {
  background-color: rgb(238, 255, 238);
}

.light-purple {
  background-color: rgb(254, 236, 255);
}

.light-yellow {
  background-color: rgb(253, 255, 231);
}

.light-blue {
  background-color: rgb(230, 232, 255);
}

.carousel-inner > .item >img{
  min-height : 300px;
  max-height : 300px;
  width : 100%;
}

.reg-btn {
  color: rgb(255, 255, 255);
  background-color: rgb(60, 206, 60);
  padding-top: 0.7rem;
  padding-bottom: 0.7rem;
  padding-left: 1.2rem;
  padding-right: 1.2rem;
  border-radius: 0.4rem;
  border-style: none;
}

.reg-btn:hover {
  filter: brightness(105%);
}

.reg-btn:active {
  filter: brightness(100%);
}

.reg-round-btn {
  color: rgb(255, 255, 255);
  background-color: rgb(60, 206, 60);
  padding: 0.6rem;
  border-radius: 1.8rem;
  border-style: none;
}

.reg-round-btn:hover {
  filter: brightness(105%);
}

.reg-round-btn:active {
  filter: brightness(100%);
}

.hover-lght-react:hover{
  filter:brightness(103%)
}

.hover-drk-react:hover{
  filter:brightness(97%)
}

.index-mask {
  background-color: rgba(0, 0, 0, 0.6);
  padding: 13rem;
  height: -webkit-fill-available;
}

.index-header {
  background-image: url('main3.jpg');
  height: 550px;
}

.index-row {
  padding: 2rem;
  background-color: #f8f9fa;
  border-radius: 0.3rem;
}

.heading-section {
  padding: 1.3rem;
}

.index-card {
  border-radius: 0.3rem;
}

.heading-1 {
  text-align: center;
}

.bg-grey {
  background-color: #f8f9fa;
}

.bor-rad {
  border-radius: 0.3rem;
}

.marg {
  margin-top: 3rem;
  margin-bottom: 3rem;
}

.login-section {
  background-image: url("login.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  padding: 7.25rem;
}

.login-box {
  background-color: #f8f9fa;
  padding: 3rem;
  border-radius: 0.3rem;
  margin: 4rem;
  margin-bottom: 20rem;
  margin-left: 65rem;
  width: fit-content;
}

.form-list {
  list-style: none;
}

.login-btn {
  
}

.in-li input {
  width: 20rem;
  margin-bottom: 0.3rem;
  padding: 0.3rem;
  border-color: #d2d2d2;
  border-style: solid;
  border-width: thin;
  border-radius: 0.3rem;
}

.in-li select {
  padding: 0.3rem;
  width: 20rem;
  margin-bottom: 0.3rem;
  border-color: #d2d2d2;
  border-style: solid;
  border-width: thin;
  border-radius: 0.3rem;
}


div.edu-tooltip {
  position: relative;
  display: -webkit-inline-box;
  opacity: 1;
  color: white;
  padding: 0.2rem 0.4rem;
  border-radius: 4px;
  font-weight: bold;
}

div.edu-tooltip[type=homework] {
  padding: 0.2rem 0.4rem;
  border-radius: 4px;
  background-color: rgb(226, 185, 0);
}

div.edu-tooltip[type=lesson_work] {
  padding: 0.2rem 0.4rem;
  border-radius: 4px;
  background-color: rgb(4, 0, 216);
}

div.edu-tooltip[type=answer] {
  padding: 0.2rem 0.4rem;
  border-radius: 4px;
  background-color: rgb(182, 0, 136);
}

div.edu-tooltip[type=test] {
  padding: 0.2rem 0.4rem;
  border-radius: 4px;
  background-color: rgb(0, 138, 0);
}

div.edu-tooltip[type=project] {
  padding: 0.2rem 0.4rem;
  border-radius: 4px;
  background-color: rgb(114, 114, 114);
}

div.edu-tooltip[type=exam] {
  padding: 0.2rem 0.4rem;
  border-radius: 4px;
  background-color: rgb(175, 0, 0);
}

div.edu-tooltip:hover {
  position: relative;
}

div.edu-tooltip span.edu-tooltiptext {
  display: none;
}

div.edu-tooltip:hover span.edu-tooltiptext {
  font-size: small;
  font-weight: normal;
  border: #000000 1px dotted;
  padding: 5px 20px 5px 5px;
  display: block;
  z-index: 100;
  left: -1rem;
  background-color: #f3e8efde;
  margin: 10px;
  width: 200px;
  position: absolute;
  top: -5.1rem;
  border-radius: 4px;
  color: rgba(0,0,0,1.0);
}

div.edu-tooltip:hover span.edu-tooltiptext[top=close] {
  top: -2.6rem;
}

div.edu-tooltip:hover span.edu-tooltiptext[top=medium] {
  top: -3.5rem;
}

div.edu-tooltip:hover span.edu-tooltiptext[top=far] {
  top: -7rem;
}

span.edu-tooltiptext[type=homework] {
  border: #fffe00 1px dotted;
  background-color: #fdffe9de;
}

span.edu-tooltiptext[type=lesson_work] {
  border: #2200ff 1px dotted;
  background-color: #e9ebffde;
}

span.edu-tooltiptext[type=answer] {
  border: #eb00ff 1px dotted;
  background-color: #ffe9fede;
}

span.edu-tooltiptext[type=test] {
  border: #00ff03 1px dotted;
  background-color: #e9ffecde;
}

span.edu-tooltiptext[type=project] {
  border: #000000 1px dotted;
  background-color: #e6e6e6de;
}

span.edu-tooltiptext[type=exam] {
  border: #ff0000 1px dotted;
  background-color: #fff2f4de;
}

a.edu-btn {
  text-decoration: none;
  font-weight: bold;
  padding: 0.1rem;
  font-size: small;
  border-radius: 3px;
  color: white;
}

a.edu-btn[color=brown]{
  background-color: brown;
}

a.edu-btn[color=crimson]{
  background-color: crimson;
}

a.edu-btn[color=green] {
  background-color: green;
}

a.edu-btn[color=blue] {
  background-color: blue;
}

a.edu-btn[color=violet]{
  background-color: rgb(228, 0, 228);
}

ul.edu-list {
  list-style: none;
}

li.edu-list-elem {
  margin: 1rem;
}

li.edu-list-elem[margin=0.5] {
  margin: 0.5rem;
}

li.edu-list-elem[margin=1] {
  margin: 1rem;
}

li.edu-list-elem[margin=2] {
  margin: 2rem;
}

li.edu-list-elem[margin=3] {
  margin: 3rem;
}



.edu-h-7 {
  height: 7rem;
}


.width60 {
  width: 60rem;
}

.card-title {
  font-size: 25px;
}

.send-msg-wrapper {
  display: table-caption;
}

.send-msg-field-div input[type=text] {
  border-width: thin;
  border-radius: 0.3rem;
  padding: 0.3rem;
  border-style: dotted;
  width: 30rem;
}

.send-msg-field-div textarea {
  border-width: thin;
  border-radius: 0.3rem;
  padding: 0.3rem;
  border-style: dotted;
  width: 30rem;
  height: 26rem;
}

select {
  padding: 0.4rem 0.2rem;
  border-radius: 4px;
  font-weight: bold;
}



.changePanel {
  display: flex;
  background-color: #f1e3e3;
  border-radius: 0.4rem;
  margin: auto;
}

.changePanelUl {
  list-style: none;
  margin: auto;
  display: flex;
}

.changePanelUl li {
  display: inline;

}


.changePanelLi {
  display: inline;
  font-weight: 900;
  color: white;
  margin: 0.6rem;
  background-color: #df7279;
  padding: 0.3rem;
  border-radius: 0.2rem;
}

.changePanelMonthName {
  padding: 0.3rem;
  background-color: #8173dd;
  border-radius: 0.2rem;
  color: white;
  margin: auto;
  text-align: center;
}

.divwidth {
  width: 100px;
}

.changePanelLi:hover {
  background-color: #ff8ba8;
  cursor: pointer;
}